V1
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects/randrestricted
Checks whether the randomization limit has been reached (randomization has stopped) and if randomization is restricted (not randomizing) for the study and mode or a particular site.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Query Parameters
-
siteId: string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
40DB4EF4847849CCB24EFCCB71CDA436
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : RandomizationStatus
Type:
objectStatus indicating whether randomization is restricted or the randomization limit has been reached.
Show Source
-
randomizationLimitReached: boolean
Flag indicating if the randomization limit has been reachedExample:
true -
randomizationRestricted: boolean
Flag indicating if randomization is restrictedExample:
false
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.